> ## Documentation Index
> Fetch the complete documentation index at: https://lago-ftr-wallet-improvements.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all fees

> This endpoint is used for retrieving all fees that has been issued.

<RequestExample>
  ```bash cURL
  curl --location --request GET "$LAGO_URL/api/v1/fees?page=2&per_page=20&external_customer_id=hooli_1234" \
    --header "Authorization: Bearer $API_KEY"
  ```

  ```python Python
  from lago_python_client.client import Client
  from lago_python_client.exceptions import LagoApiError

  client.fees.find_all({'per_page': 2, 'page': 1})
  ```

  ```ruby Ruby
  require 'lago-ruby-client'

  client.fees.get_all({ per_page: 2, page: 3 })
  ```

  ```js Javascript
  await client.fees.findAllFees({ per_page: 2, page: 3 });
  ```

  ```go Go
  feeListInput := &lago.FeeListInput{
  PerPage: 1,
  Page: 1,
  CreatedAtFrom: "2022-01-01T00:00:00Z",
  CreatedAtTo: "2022-01-01T00:00:00Z",
  }

  feeResult, err := lagoClient.Fee().GetList(feeListInput)
  if err != nil {
  // Error is *lago.Error
  panic(err)
  }

  // feeResult is *lago.FeeResult
  fmt.Println(feeResult)
  ```

  ```csharp C#
  var apiInstance = new FeeApi(Configuration.Default);
  var page = 2;
  var perPage = 20;

  try
  {
    Fee result = apiInstance.FindAllFees(page, perPage);
  }
  catch (ApiException e)
  {
      Debug.Print("Exception when calling lago API: " + e.Message );
      Debug.Print("Status Code: "+ e.ErrorCode);
      Debug.Print(e.StackTrace);
  }
  ```

  ```php PHP
  $page = 2;
  $per_page = 20;

  try {
    $result = $apiInstance->findAllFees($page, $per_page);
    print_r($result);
  } catch (Exception $e) {
    echo 'Exception when calling lago API: ', $e->getMessage(), PHP_EOL;
  }
  ```
</RequestExample>
